<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EventBasedExcelExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EventBasedExcelExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
               title="class in org.apache.poi.hssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="EventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.extractor</div>
    <h2 title="Class EventBasedExcelExtractor" class="title">Class EventBasedExcelExtractor</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                       title="class in org.apache.poi.extractor">org.apache.poi.extractor.POITextExtractor</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                               title="class in org.apache.poi.extractor">org.apache.poi.extractor.POIOLE2TextExtractor</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.extractor.EventBasedExcelExtractor</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable, <a
                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                            title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">EventBasedExcelExtractor</span>
extends <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
           title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>
implements <a href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
              title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></pre>
                <div class="block">A text extractor for Excel files, that is based
                    on the HSSF EventUserModel API.
                    It will typically use less memory than
                    <a href="../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
                       title="class in org.apache.poi.hssf.extractor"><code>ExcelExtractor</code></a>, but may not
                    provide
                    the same richness of formatting.
                    Returns the textual content of the file, suitable for
                    indexing by something like Lucene, but not really
                    intended for display to the user.
                    <p>
                        To turn an excel file into a CSV or similar, then see
                        the XLS2CSVmra example
                    </p></div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd>
                        <a href="http://svn.apache.org/repos/asf/poi/trunk/src/examples/src/org/apache/poi/hssf/eventusermodel/examples/XLS2CSVmra.java">XLS2CSVmra</a>
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#document">document</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#EventBasedExcelExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">EventBasedExcelExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#EventBasedExcelExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">EventBasedExcelExtractor</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">DocumentSummaryInformation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#getDocSummaryInformation--">getDocSummaryInformation</a></span>()</code>
                                    <div class="block">Would return the document information metadata for the document,
                                        if we supported it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">SummaryInformation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#getSummaryInformation--">getSummaryInformation</a></span>()</code>
                                    <div class="block">Would return the summary information metadata for the document,
                                        if we supported it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#getText--">getText</a></span>()</code>
                                    <div class="block">Retreives the text contents of the file</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></span>(boolean&nbsp;formulasNotResults)</code>
                                    <div class="block">Should we return the formula itself, and not
                                        the result it produces? Default is false
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a></span>(boolean&nbsp;includeComments)</code>
                                    <div class="block">Would control the inclusion of cell comments from the document,
                                        if we supported it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a></span>(boolean&nbsp;includeHeadersFooters)</code>
                                    <div class="block">Would control the inclusion of headers and footers from the
                                        document,
                                        if we supported it
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a></span>(boolean&nbsp;includeSheetNames)</code>
                                    <div class="block">Should sheet names be included? Default is true</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                        title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getRoot--">getRoot</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.extractor.POITextExtractor">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.extractor.<a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor">POITextExtractor</a></h3>
                                <code><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html#setFilesystem-java.io.Closeable-">setFilesystem</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="EventBasedExcelExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EventBasedExcelExtractor</h4>
                                <pre>public&nbsp;EventBasedExcelExtractor(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir)</pre>
                            </li>
                        </ul>
                        <a name="EventBasedExcelExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>EventBasedExcelExtractor</h4>
                                <pre>public&nbsp;EventBasedExcelExtractor(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDocSummaryInformation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDocSummaryInformation</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hpsf/DocumentSummaryInformation.html"
                                        title="class in org.apache.poi.hpsf">DocumentSummaryInformation</a>&nbsp;getDocSummaryInformation()</pre>
                                <div class="block">Would return the document information metadata for the document,
                                    if we supported it
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getDocSummaryInformation--">getDocSummaryInformation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Document Summary Information or null
                                        if it could not be read for this document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSummaryInformation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSummaryInformation</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hpsf/SummaryInformation.html"
                                                    title="class in org.apache.poi.hpsf">SummaryInformation</a>&nbsp;getSummaryInformation()</pre>
                                <div class="block">Would return the summary information metadata for the document,
                                    if we supported it
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getSummaryInformation--">getSummaryInformation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                                title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Summary information for the document or null
                                        if it could not be read for this document.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeCellComments-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeCellComments</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeCellComments(boolean&nbsp;includeComments)</pre>
                                <div class="block">Would control the inclusion of cell comments from the document,
                                    if we supported it
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeCellComments-boolean-">setIncludeCellComments</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeComments</code> - <code>true</code> if cell comments should be
                                        included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeHeadersFooters-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeHeadersFooters</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeHeadersFooters(boolean&nbsp;includeHeadersFooters)</pre>
                                <div class="block">Would control the inclusion of headers and footers from the document,
                                    if we supported it
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeHeadersFooters-boolean-">setIncludeHeadersFooters</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeHeadersFooters</code> - <code>true</code> if headers and footers
                                        should be included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIncludeSheetNames-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIncludeSheetNames</h4>
                                <pre>public&nbsp;void&nbsp;setIncludeSheetNames(boolean&nbsp;includeSheetNames)</pre>
                                <div class="block">Should sheet names be included? Default is true</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setIncludeSheetNames-boolean-">setIncludeSheetNames</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>includeSheetNames</code> - <code>true</code> if the sheet names should be
                                        included
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFormulasNotResults-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormulasNotResults</h4>
                                <pre>public&nbsp;void&nbsp;setFormulasNotResults(boolean&nbsp;formulasNotResults)</pre>
                                <div class="block">Should we return the formula itself, and not
                                    the result it produces? Default is false
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#setFormulasNotResults-boolean-">setFormulasNotResults</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formulasNotResults</code> - <code>true</code> if the formula itself is
                                        returned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                                <div class="block">Retreives the text contents of the file</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html#getText--">getText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/extractor/ExcelExtractor.html"
                                                title="interface in org.apache.poi.ss.extractor">ExcelExtractor</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getText--">getText</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                title="class in org.apache.poi.extractor">POITextExtractor</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>All the text from the document</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EventBasedExcelExtractor.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
               title="class in org.apache.poi.hssf.extractor"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html"
               target="_top">Frames</a></li>
        <li><a href="EventBasedExcelExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.extractor.POIOLE2TextExtractor">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
